Bug 841767 - The kernel cant boot directly of vda drives probably xda..
The kernel cant boot directly of vda drives probably xda..
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 04:33 EDT by Jóhann B. Guðmundsson
Modified: 2013-08-01 13:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:21:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete error msg (43.16 KB, image/png)
2012-07-23 05:03 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-07-20 04:33:48 EDT
Description of problem:

I noticed this when I was test tweaking systemd quemu-kvm vm trying to get it to boot under a second into the multi-user target ( got it down to 1553ms for those interested can shave roughly 500ms if I skip the initrd image ).

This is probably just a classic minor bug somewhere where it's defined it can only boot from sda perhaps hda as well but missing all the other letters from the alphabet.

Version-Release number of selected component (if applicable):

3.4.x probably affects older/newer kernels as well

How reproducible:

Always

Steps to Reproduce:
1. Create a vm with ext4 partitions only ( unhash lvm in the partition setup in Anaconda )
2.boot with root=/dev/vdaX rootfstype=ext4 replace X with your / partition
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Josh Boyer 2012-07-20 09:04:53 EDT
Please post the boot logs.
Comment 2 Jóhann B. Guðmundsson 2012-07-21 12:03:23 EDT
What boot log since the kernel cant directly boot of vda?

I can provide you with phone screenshot if you so desire but you can just as well follow the reproduce steps there after all there is a reason that field exist in bug reports but if nobody uses it we can just as well advocate to have it removed.
Comment 3 Jóhann B. Guðmundsson 2012-07-23 05:03:59 EDT
Created attachment 599722 [details]
Complete error msg

VFS: Cannot open root device "vda2" or unknown-block(0,0): Error-6. 
( root=/dev/vda2 rootfstype=ext4 )
Comment 4 Josh Boyer 2012-07-23 09:02:25 EDT
(In reply to comment #2)
> What boot log since the kernel cant directly boot of vda?

It's a virtual machine.  It would be great if you could configure a serial console for it and capture the full boot output by logging it.

> I can provide you with phone screenshot if you so desire but you can just as
> well follow the reproduce steps there after all there is a reason that field
> exist in bug reports but if nobody uses it we can just as well advocate to
> have it removed.

Your instructions are fine.  Asking you for help in your admittedly non-normal usecase for Fedora doesn't seem beyond the pale though.  If you don't wish to do that, OK.  We'll get to this bug when we can.
Comment 5 Jóhann B. Guðmundsson 2012-07-23 11:20:39 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > What boot log since the kernel cant directly boot of vda?
> 
> It's a virtual machine.  It would be great if you could configure a serial
> console for it and capture the full boot output by logging it.
> 
> > I can provide you with phone screenshot if you so desire but you can just as
> > well follow the reproduce steps there after all there is a reason that field
> > exist in bug reports but if nobody uses it we can just as well advocate to
> > have it removed.
> 
> Your instructions are fine.  Asking you for help in your admittedly
> non-normal usecase for Fedora doesn't seem beyond the pale though.  If you
> don't wish to do that, OK.  We'll get to this bug when we can.

From my point of view there is nothing abnormal with my use. 

In fact I considered us defaulting our partition layout ( with lvm ) for the majority of our user base being utterly absurd.

And if grubby was not so broken by still relying on the presence of /dev/root in the 21 century this would be far more common setup then you care to admit. 

Do you need more information than what's on the attached image to this report?
Comment 6 Jóhann B. Guðmundsson 2013-01-08 11:06:00 EST
Why is this being closed insufficient data? Comment one descries exactly how to duplicate this. 

Reopening
Comment 7 Josh Boyer 2013-01-08 11:40:17 EST
Inadvertent.

If you want to further it along, please try with the latest F17 kernel, configure the serial console as suggested in comment #4, and attach the full boot output.
Comment 8 Justin M. Forbes 2013-02-01 10:58:20 EST
This bug is being closed because it has been set needinfo for more than 2 weeks without a response. If this is still an issue, please reopen and reply with the requested information.
Comment 9 Jóhann B. Guðmundsson 2013-02-01 11:38:31 EST
Reopening still an issue
Comment 10 Jóhann B. Guðmundsson 2013-02-01 11:43:05 EST
Does the serial output provide more information then the attached screenshot?

Just add "root=/dev/vda2 rootfstype=ext4 quiet libahci.ignore_sss=1 raid=noautodetect" to the kernel command line and you are able to reproduce this with kvm
Comment 11 Jóhann B. Guðmundsson 2013-02-01 11:45:24 EST
the exact same kernel command line works just fine on physical hardware when you replace vda with sda ...
Comment 12 Fedora End Of Life 2013-07-04 02:00:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 13:21:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.